Bug 157786 - ATI Dual Head Fails
ATI Dual Head Fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-15 11:17 EDT by Dave Burgess
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 12:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.o.log from FC4T2 (48.07 KB, text/plain)
2005-05-26 17:10 EDT, Dave Burgess
no flags Details
/var/log/Xorg.0.log from FC4T3 (39.43 KB, text/plain)
2005-05-26 17:11 EDT, Dave Burgess
no flags Details
/etc/X11/xorg.conf from FC4 T2 (3.51 KB, text/plain)
2005-05-26 17:12 EDT, Dave Burgess
no flags Details
/etc/X11/xorg.conf from FC4 T3 (3.51 KB, text/plain)
2005-05-26 17:13 EDT, Dave Burgess
no flags Details

  None (edit)
Description Dave Burgess 2005-05-15 11:17:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
When setting up FC4 T3 to run dual head with an ATI FireGL/T2 video card it fails to run in dual head mode.

Everything seems fine with system-config-display however after a reboot both screens come up and the various startup messages are displayed but as soon as X starts the second screen goes dead and the monitor indicates no video.  Even with the screens set to "spanning" only one screen is active, it's not simple the monitor (NEC 2080UX) that's not working.  Starting up system-config-display shows it set for dual head spanning desktops but it doesn't happen

Same symptoms for "individual desktop"

Fedora Core 4 Test 2 worked beautifully.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install
2. Start system-config-display
3. Set for dual head mode
4. Restart
5. No dual head mode
  

Actual Results:  Screen one starts up fine but not screen 2

Expected Results:  Should have had dual head mode.

Additional info:
Comment 1 Mike A. Harris 2005-05-24 12:21:15 EDT
Dualhead configuration in system-config-display doesn't work properly.

Please attach your xorg.conf and X server log.  Also, when submitting
bug reports, please hit ENTER key after 70 chars or so so the bug isn't
all on one line.  It makes it impossible to read.

Thanks in advance.

Setting status to NEEDINFO
Comment 2 Dave Burgess 2005-05-26 17:10:43 EDT
Created attachment 114887 [details]
/var/log/Xorg.o.log from FC4T2

This is from FC4 T2 and ATI dual head works beautifully.
Comment 3 Dave Burgess 2005-05-26 17:11:35 EDT
Created attachment 114888 [details]
/var/log/Xorg.0.log from FC4T3

This is from FC4 T3 and ATI dual head does not work.
Comment 4 Dave Burgess 2005-05-26 17:12:38 EDT
Created attachment 114889 [details]
/etc/X11/xorg.conf from FC4 T2

This is the x xconfig file from FC4 T2.
Comment 5 Dave Burgess 2005-05-26 17:13:24 EDT
Created attachment 114890 [details]
/etc/X11/xorg.conf from FC4 T3

Virtually identical to FC4 T2.
Comment 6 Dave Burgess 2005-06-07 12:28:11 EDT
After reading a lot of complaints about Matrox and DVI I decided.
To try removing the DVI cable and using analog cables on both monitors.

That gives me two live monitors but no matter what I do I can only get
"cloned" displays.  By that I mean both monitors show the same screen.

Not "individual desktops" - the same screen.
Comment 7 Frank Swasey 2005-06-16 15:01:54 EDT
I'm having the same issue with a Dell GX260 with a built in ATI 7000.  I
remember we had issues when FC3 first came out with these cards but it was
finally resolved.  Did we regress to busted code with FC4?
Comment 8 Frank Swasey 2005-06-16 20:10:34 EDT
Ignore Comment #7... It resolved itself after one more reboot after the yum
update finished.
Comment 9 Mike A. Harris 2006-06-14 12:53:47 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.